मैं एंड्रॉइड स्टूडियो में पुस्तकालय स्थापित करने के लिए बिल्कुल नया हूं और मुझे परेशानी हुई है। मैं त्रुटि प्राप्त करता रहता हूं, मेरी निर्भरता को स्थापित करने का प्रयास करते समय नाम शून्य नहीं होना चाहिए। मैं इस लाइब्रेरी को स्थापित करने का प्रयास कर रहा हूं।

यहाँ बिल्ड.ग्रेड कोड है।

apply plugin: 'com.android.application'

android {
    compileSdkVersion 25
    buildToolsVersion "25.0.3"
    defaultConfig {
        applicationId "com.example.webbj.imageeditor"
        minSdkVersion 23
        targetSdkVersion 25
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

configurations{
    compile
}

dependencies {
    compile fileTree(include: ['*.jar'], dir: 'libs')
    androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.android.support', module: 'support-annotations'
    })
    compile 'com.android.support:appcompat-v7:25.3.1'
    compile 'com.android.support:design:25.3.1'
    compile 'com.android.support.constraint:constraint-layout:1.0.2'
    //compile 'com.isseiaoki:simplecropview:1.1.5'
    **compile group: "com.isseiaoki", module: "simplecropview", version: "1.1.5"**
    testCompile 'junit:junit:4.12'
    compile project(':libraries:SimpleCropView')

त्रुटि तारों से घिरी रेखा पर होती है। मैं इस मुद्दे को हल करने में मेरी मदद करने के लिए वास्तव में किसी की सराहना करता हूं।

1
tokenturtle 5 अगस्त 2017, 19:46

2 जवाब

उस लाइन के बजाय इस लाइन को जोड़ें।

compile 'com.isseiaoki:simplecropview:1.1.5'
0
Bob 5 अगस्त 2017, 19:59
जब मैं ऐसा करता हूं, तो मुझे त्रुटि मिलती है: त्रुटि: प्रोजेक्ट: ऐप कॉन्फ़िगरेशन 'संकलन' से कॉन्फ़िगरेशन 'डिफ़ॉल्ट' पर निर्भरता की घोषणा करता है जिसे प्रोजेक्ट के लिए डिस्क्रिप्टर में घोषित नहीं किया जाता है: पुस्तकालय: SimpleCropView।
 – 
tokenturtle
5 अगस्त 2017, 22:01
इस लाइन को भी हटा दें: कंपाइल प्रोजेक्ट (': लाइब्रेरीज: सिंपलक्रॉप व्यू')
 – 
Bob
5 अगस्त 2017, 22:06

उन लोगों के लिए जो अभी भी इस त्रुटि का सामना कर रहे हैं:

निर्भरता के तहत जोड़ें:

implementation project("com.isseiaoki:simplecropview:1.1.5")
0
MuSoundiX 3 मई 2019, 15:16